---
title: EffectTiming.iterationStart
slug: Web/API/EffectTiming/iterationStart
tags:
  - API
  - Animation
  - EffectTiming
  - Experimental
  - KeyframeEffect
  - Property
  - Reference
  - Web Animations
  - animate
  - iterationStart
  - waapi
  - web animations api
---
<div>{{ SeeCompatTable() }}{{ APIRef("Web Animations") }}</div>

<p><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a>'s {{domxref("EffectTiming")}} dictionary's  <strong><code>iterationStart</code></strong> property specifies the repetition number which repetition the animation begins at and its progress through it.</p>

<div class="note">
<p>{{domxref("Element.animate()")}}, {{domxref("KeyframeEffectReadOnly.KeyframeEffectReadOnly()")}}, and {{domxref("KeyframeEffect.KeyframeEffect()")}} all accept an object of timing properties including <code>iterationStart.</code> The value of <code>iterationStart</code> corresponds directly to {{domxref("AnimationEffectTimingReadOnly.iterationStart")}} in {{domxref("AnimationEffectReadOnly.timing", "timing")}} objects returned by {{domxref("AnimationEffectReadOnly")}}, {{domxref("KeyframeEffectReadOnly")}}, and {{domxref("KeyframeEffect")}}.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>timingProperties</em> = {
  iterationStart = <em>iterationNumber</em>
};

<em>timingProperties</em>.iterationStart = <em>iterationNumber</em>;
</pre>

<h3 id="Value">Value</h3>

<p>A floating-point value whose value is at least 0 and is not {{jsxref("Infinity", "+Infinity")}}, indicating the offset into the number of iterations the animation sequence is to run at which to start animating. <code>iterationStart</code> represents the iteration index at which the animation effect begins as well as its progress through that iteration.</p>

<p>Usually you'll use a value between 0.0 and 1.0 to indicate an offset into the first run of the animation at which to begin the animation performance, but any positive, non-infinite value is allowed. Since all animations' iteration indexes start at 0, a value of 0.5 would start the animation halfway through its first iteration or loop. Meanwhile, a value of 1.2 means the animation will begin playback 20% of the way through its second iteration, and so forth.</p>

<div class="note">
<p>It's currently undefined what happens if you specify a value of <code>iterationStart</code> which is greater than the value of {{domxref("AnimationEffectTimingProperties.iterations")}}. See <a href="https://github.com/w3c/web-animations/issues/170">issue 170 in the Web Animations API specification's issue tracker</a> for details and status of any changes to the specification in this regard.</p>
</div>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Web Animations', '#iteration-start', 'iterationStart' )}}</td>
   <td>{{Spec2('Web Animations')}}</td>
   <td>Editor's draft.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.EffectTiming.iterationStart")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/Web_Animations_API">Web Animations API</a></li>
 <li>{{domxref("Element.animate()")}}, {{domxref("KeyframeEffectReadOnly.KeyframeEffectReadOnly", "KeyframeEffectReadOnly()")}}, and {{domxref("KeyframeEffect.KeyframeEffect", "KeyframeEffect()")}} all accept an object of timing properties including this one.</li>
 <li>The value of this property corresponds to {{domxref("AnimationEffectReadOnly.timing")}}, {{domxref("KeyframeEffectReadOnly.timing")}}, and {{domxref("KeyframeEffect.timing")}}).</li>
</ul>
